#
# spec file for package tipp10
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Lars Vogdt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tipp10
Version:        2.1.0
Release:        lp150.4.1
Summary:        Educational typing tutor
License:        GPL-2.0-or-later
Group:          Amusements/Games/Action/Other
URL:            http://www.tipp10.de/
Source:         tipp10_source_v2-1-0.zip
Source3:        tipp10-wrapper
Patch1:         tipp10-config.patch
Patch2:         tipp10-fpermissive.patch
Patch3:         tipp10-desktop.patch
BuildRequires:  libpng-devel
BuildRequires:  libqt4-devel
BuildRequires:  sqlite-devel
BuildRequires:  unzip
Requires:       libqt4-sql-sqlite
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
%endif
%if 0%{?sles_version}
BuildRequires:  qt
BuildRequires:  qt-sql
%endif

%description
TIPP10 is an educational typing tutor which automatically adapts the
lesson to the typing failures of of the student.

The software is easy to use and features a clear user interface. Beginners and
even children will find their way around right away so they can start
practicing without a hitch.

You will be able to learn touch typing quickly and efficiently with the
program’s intelligent practice lessons, useful support functions and an
extensive progress tracker. You can also play a typing game and expand the
program with open lessons or make your own to meet your specific needs.

%prep
%setup -q -n tipp10_source_v2-1-0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
qmake
make %{?_smp_mflags} all

%install
mkdir -p %{buildroot}/%{_bindir} %{buildroot}%{_datadir}/%{name}
install -D -m644 img/logo_orange.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png
install -D -m644 tipp10.desktop  %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -D -m755 %{SOURCE3} %{buildroot}/%{_bindir}/tipp10
install -D -m755 tipp10 %{buildroot}/%{_datadir}/%{name}/tipp10
cp -r release/help %{buildroot}%{_datadir}/%{name}/
cp -r img %{buildroot}%{_datadir}/%{name}/
cp -r update %{buildroot}%{_datadir}/%{name}/
install -m644 release/tipp10v2.template %{buildroot}%{_datadir}/%{name}/
install -m644 error.wav metronome.wav %{buildroot}%{_datadir}/%{name}/
sed -i 's/^M//' license*.txt
%if 0%{?suse_version}
%suse_update_desktop_file -n %{name}
%fdupes %{buildroot}%{_datadir}/%{name}/
%endif

%files
%defattr(-,root,root)
%if 0%{?suse_version} >= 01500
%license license*.txt
%else
%doc license*.txt
%endif
%{_bindir}/tipp10
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}

%changelog
* Mon Mar 18 2019 lars@linux-schulserver.de - 2.1.0
- use updated SPDX license string
- use %%%%license macro in newer distributions
- refreshed tipp10-config.patch
* Fri Dec 22 2017 lars@linux-schulserver.de
- refresh spec file (via spec-cleaner)
- use spdx format for license
- add Keywords to desktop file
* Sun Nov 13 2011 lars@linux-schulserver.de
- update to 2.1.0:
  + User interface, lessons and manual in English language
  + German training lessons for the NEO 2.0 keyboard layout
  + ABC game
  + Metronome
  + New statistic: Error rates of the fingers
  + Color settings for the ticker
  + New open lessons
  + Revised lessons and improved intelligence
- added tipp10-fpermissive.patch
- added tipp10-desktop.patch and remove own desktop file
* Wed May  6 2009 lars@linux-schulserver.de
- update to 2.0.3:
  + english support
  + german lessons for Neo2
  + better KI
  + small bugfixes
- build x11 version and not the portable one (tipp10-config.patch)
- use a wrapper script to avoid warnings if no directory exists
* Wed May  6 2009 andrea@opensuse.org
- fixed bug bnc#500522:  tipp10 fails starting
* Thu Sep 25 2008 lars@linux-schulserver.de
- moved to Education base repository
* Thu Sep 25 2008 lars@linux-schulserver.de
- moved to Education base repository
* Thu Jun  5 2008 lars@linux-schulserver.de
- fix type in install
* Sun May 18 2008 lars@linux-schulserver.de
- fix database problem (os-edu #0000036)
* Wed Mar 19 2008 lars@linux-schulserver.de
- initial version 2.0.1
